<?php

namespace App\Models;

class Client extends Eloquent {

	protected $table = 'clients';
	public $timestamps = true;
	protected $fillable = array('name', 'email', 'phone', 'image', 'password', 'region_id', 'is_active', 'api_token');

	public function region()
	{
		return $this->belongsTo('App\Models\Region');
	}

	public function orders()
	{
		return $this->hasMany('App\Models\Order');
	}

	public function notifications()
	{
		return $this->morphMany('App\Models\Notification', 'notifable');
	}

	public function reviwes()
	{
		return $this->hasMany('App\Models\Reviwe');
	}

	public function tokens()
	{
		return $this->morphMany('App\Models\Token', 'tokenable');
	}

}